Skip to main content
`Ctrl`+`K`

# skbio.tree.TreeNode.non_tips

TreeNode.non_tips(include_self=False)

  Iterate over nontips descended from self.

  include_self, if True (default is False), will return the current node as part of non_tips if it is a non_tip. Node order is consistent between calls and is ordered by a postorder traversal of the tree.

  Parameters:
    include_self bool

      include the initial node if True

  Yields:
    TreeNode

      Traversed node.

  See also

  `traverse`
  `postorder`
  `preorder`
  `pre_and_postorder`
  `levelorder`
  `tips`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,b)c,(d,e)f);"])
      >>> for node in tree.non_tips():
      ...     print(node.name)
      c
      f